clearing GW via neutron throws internal server error

Bug #1516912 reported by Bo Lin on 2015-11-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vmware-nsx
High
Bo Lin

Bug Description

Since there is a resource refactor, the get_resource is changed. When clearing gateway, it would report these following error:
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource [req-c0e7263a-dfcf-48c1-b726-f52318048ea0 4403343b6be248b4b99a129c28892a42 9a4a5404b98340b882cb89b785456240 - - -] update failed
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource Traceback (most recent call last):
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/neutron/api/v2/resource.py", line 83, in resource
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource result = method(request=request, **args)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/oslo_db/api.py", line 147, in wrapper
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource ectxt.value = e.inner_exc
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/oslo_utils/excutils.py", line 197, in __exit__
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource six.reraise(self.type_, self.value, self.tb)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/oslo_db/api.py", line 137, in wrapper
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource return f(*args, **kwargs)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/neutron/api/v2/base.py", line 613, in update
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource obj = obj_updater(request.context, id, **kwargs)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/vmware_nsx/plugins/nsx_v3/plugin.py", line 1055, in update_router
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource context, router_id, router)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/neutron/db/extraroute_db.py", line 75, in update_router
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource context, id, router)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/neutron/db/l3_db.py", line 1320, in update_router
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource id, router)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/neutron/db/l3_db.py", line 210, in update_router
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource self._update_router_gw_info(context, id, gw_info)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/vmware_nsx/plugins/nsx_v3/plugin.py", line 930, in _update_router_gw_info
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource routerlib.remove_router_link_port(nsx_router_id, org_tier0_uuid)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/vmware_nsx/nsxlib/v3/router.py", line 100, in remove_router_link_port
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource tier1_uuid)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/vmware_nsx/nsxlib/v3/__init__.py", line 237, in get_tier1_logical_router_link_port
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource logical_router_id)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource File "/var/lib/vmos/neutron/neutron-liberty-2015.1.1/local/lib/python2.7/site-packages/vmware_nsx/nsxlib/v3/__init__.py", line 231, in get_logical_router_ports_by_router_id
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource resource, logical_router_id=logical_router_id)
2015-11-16 11:52:14.525 30191 ERROR neutron.api.v2.resource TypeError: get_resource() got an unexpected keyword argument 'logical_router_id'

Reviewed: https://review.openstack.org/246148
Committed: https://git.openstack.org/cgit/openstack/vmware-nsx/commit/?id=7a474fd228590a341e6b37fc75f45959f66b7dc2
Submitter: Jenkins
Branch: stable/liberty

commit 7a474fd228590a341e6b37fc75f45959f66b7dc2
Author: Shih-Hao Li <email address hidden>
Date: Tue Oct 13 14:22:34 2015 -0700

    nsx v3 router refactor

    Close-Bug: #1516912
    Change-Id: I8ffb28b8656d39161da438b5a174e6d25c35f1e2
    (cherry picked from commit f04849f031a92451948a5028de2ee892420c905e)

tags: added: in-stable-liberty

Reviewed: https://review.openstack.org/246263
Committed: https://git.openstack.org/cgit/openstack/vmware-nsx/commit/?id=2dd1a61e886db061be58fa49c0a2838288837b84
Submitter: Jenkins
Branch: stable/liberty

commit 2dd1a61e886db061be58fa49c0a2838288837b84
Author: Shih-Hao Li <email address hidden>
Date: Mon Nov 2 12:37:19 2015 -0800

    NSXv3: Fix typo in URI while setting GW for router

    Fixes NSX v3 router integration to not pass along sub-URI
    in API calls to the backend.

    This patch also includes updates to the NSX v3 mock API
    session handling to ensure mocked clients handle their
    appropriate sub URIs.

    Closes-Bug: #1516912
    Closes-Bug: #1510279
    Change-Id: Ib90071a68572d5b18db896ea38b91e5beaeca88a
    (cherry picked from commit ce75aa97d921289b0989d9ce932164daa9e01fa5)

Gary Kotton (garyk) on 2015-11-18
Changed in vmware-nsx:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers